Package org.springframework.web.servlet.resource

# Class NoResourceFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.servlet.resource.NoResourceFoundException

All Implemented Interfaces:
  `Serializable`, `org.springframework.web.ErrorResponse`

public class NoResourceFoundException extends ServletException implements org.springframework.web.ErrorResponse
Raised when `ResourceHttpRequestHandler` can not find a resource.

Since:
  6.1
Author:
  Rossen Stoyanchev
See Also:
  - `ResponseEntityExceptionHandler`
  - `DefaultHandlerExceptionResolver`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`org.springframework.web.ErrorResponse.Builder, org.springframework.web.ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`NoResourceFoundException(org.springframework.http.HttpMethod httpMethod, String resourcePath)`
Create an instance.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.ProblemDetail`
`getBody()`
`org.springframework.http.HttpMethod`
`getHttpMethod()`
Return the HTTP method for the request.
`String`
`getResourcePath()`
Return the path used to locate the resource.
`org.springframework.http.HttpStatusCode`
`getStatusCode()`

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getDetailMessageArguments, getDetailMessageCode, getHeaders, getTitleMessageCode, getTypeMessageCode, updateAndGetBody`

## Constructor Details

### NoResourceFoundException

public NoResourceFoundException(org.springframework.http.HttpMethod httpMethod, String resourcePath)
Create an instance.

## Method Details

### getHttpMethod

public org.springframework.http.HttpMethod getHttpMethod()
Return the HTTP method for the request.

### getResourcePath

public String getResourcePath()
Return the path used to locate the resource.

See Also:
  - `HandlerMapping.PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE`

### getStatusCode

public org.springframework.http.HttpStatusCode getStatusCode()

Specified by:
  `getStatusCode` in interface `org.springframework.web.ErrorResponse`

### getBody

public org.springframework.http.ProblemDetail getBody()

Specified by:
  `getBody` in interface `org.springframework.web.ErrorResponse`